
TYPO3.Flow - Bug # 6846

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Core
Created: 2010-03-15 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: The static object container is not rebuilt automatically if the FLOW3 revision changed
Description

If the FLOW3 revision changes, all caches are flushed. Because the static object container is no regular cache, it is missed and still
used even if the FLOW3 revision changed. This can lead to fatal errors if classes have been deleted or otherwise modified.

Associated revisions
Revision 722b4931 - 2010-03-15 16:34 - Robert Lemke

[+BUGFIX] FLOW3 (Object): The static object container is now rebuilt automatically if the FLOW3 revision changed. Fixes #6846

History
#1 - 2010-03-15 15:17 - Robert Lemke
- % Done changed from 0 to 10
- Estimated time set to 1.00

#2 - 2010-03-15 16:32 - Robert Lemke
- % Done changed from 10 to 90
- Estimated time changed from 1.00 to 2.00

#3 - 2010-03-15 17:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 90 to 100

Applied in changeset r3946.
